ngx-permissions versions and peer dependencies

The table below has a list of all versions of ngx-permissions compatible peers dependencies.

Version Peer Dependency Versions
0.1.3 - 0.1.5
  • @angular/core @ ^4.0.0
  • rxjs @ ^5.1.0
  • zone.js @ ^0.8.4
0.1.6 - 0.1.21
  • @angular/core @ ^4.0.0
  • @angular/router @ ^4.0.0
  • rxjs @ ^5.1.0
  • zone.js @ ^0.8.4
1.0.0 - 1.1.2
  • @angular/core @ ^4.0.0
  • @angular/router @ ^4.0.0
  • rxjs @ ^5.1.0
  • zone.js @ ^0.8.4
2.0.0 - 2.1.1
  • @angular/core @ ^4.0.0
  • @angular/router @ ^4.0.0
  • rxjs @ ^5.1.0
  • zone.js @ ^0.8.4
3.0.0 - 3.2.4
  • @angular/core @ >=4.0.0 || >5.0.0
  • @angular/router @ >=4.0.0 || >5.0.0
  • rxjs @ ^5.5.0
  • zone.js @ ^0.8.4
4.0.0 - 4.1.0
  • @angular/core @ >=4.0.0 || >6.0.0
  • @angular/router @ >=4.0.0 || >6.0.0
  • rxjs @ ^5.5.0
  • zone.js @ ^0.8.4
6.0.0
  • @angular/common @ >=6.0.0 || <7.0.0
  • @angular/core @ >=6.0.0 || <7.0.0
  • rxjs @ >=6.0.0 || <7.0.0
6.0.1
  • @angular/core @ >=4.0.0 || >7.0.0
  • @angular/router @ >=4.0.0 || >7.0.0
  • rxjs @ ^6.0.0
  • zone.js @ ^0.8.4
6.0.2 - 6.0.5
  • @angular/core @ >=4.0.0 || >8.0.0
  • @angular/router @ >=4.0.0 || >8.0.0
  • rxjs @ ^6.0.0
  • zone.js @ ^0.8.4
6.0.6
  • @angular/core @ >=4.0.0 || >8.0.0
  • @angular/router @ >=4.0.0 || >8.0.0
  • rxjs @ ^6.0.0
  • zone.js @ ^0.8.4
7.0.0 - 7.0.3
  • @angular/core @ >=4.0.0 || >9.0.0
  • @angular/router @ >=4.0.0 || >9.0.0
  • rxjs @ >=6.0.0 || >7.0.0
  • zone.js @ >=0.8.4 || >1.0.0
8.0.0 - 8.1.1
  • @angular/core @ >=4.0.0 || >12.0.0
  • @angular/router @ >=4.0.0 || >12.0.0
  • rxjs @ >=6.0.0 || >8.0.0
  • zone.js @ >=0.8.4 || >2.0.0